--- third_party/WebKit/WebKit/chromium/src/GraphicsContext3D.cpp	(revision 50972)
+++ third_party/WebKit/WebKit/chromium/src/GraphicsContext3D.cpp	(working copy)
@@ -80,7 +80,7 @@
 #define USE_TEXTURE_RECTANGLE_FOR_FRAMEBUFFER
 #endif
 
-#if PLATFORM(LINUX)
+#if PLATFORM(LINUX) || PLATFORM(FREEBSD)
 #include <dlfcn.h>
 #include "GL/glxew.h"
 #endif
@@ -180,7 +180,7 @@
     CGLContextObj m_contextObj;
     unsigned char* m_renderOutput;
     CGContextRef m_cgContext;
-#elif PLATFORM(LINUX)
+#elif PLATFORM(LINUX) || PLATFORM(FREEBSD)
     Display* m_display;
     GLXContext m_contextObj;
     GLXPbuffer m_pbuffer;
@@ -215,7 +215,7 @@
 {
 }
 
-#if PLATFORM(LINUX)
+#if PLATFORM(LINUX) || PLATFORM(FREEBSD)
 static void* tryLoad(const char* libName)
 {
     // We use RTLD_GLOBAL semantics so that GLEW initialization works;
@@ -245,7 +245,7 @@
     , m_contextObj(0)
     , m_renderOutput(0)
     , m_cgContext(0)
-#elif PLATFORM(LINUX)
+#elif PLATFORM(LINUX) || PLATFORM(FREEBSD)
     , m_display(0)
     , m_contextObj(0)
     , m_pbuffer(0)
@@ -372,7 +372,7 @@
     }
     m_pbuffer = pbuffer;
     m_contextObj = context;
-#elif PLATFORM(LINUX)
+#elif PLATFORM(LINUX) || PLATFORM(FREEBSD)
     m_display = XOpenDisplay(0);
     if (!m_display) {
         printf("GraphicsContext3D: error opening X display\n");
@@ -503,7 +503,7 @@
         CGContextRelease(m_cgContext);
     if (m_renderOutput)
         delete[] m_renderOutput;
-#elif PLATFORM(LINUX)
+#elif PLATFORM(LINUX) || PLATFORM(FREEBSD)
     m_glXMakeCurrent(m_display, 0, 0);
     m_glXDestroyContext(m_display, m_contextObj);
     m_glXDestroyPbuffer(m_display, m_pbuffer);
@@ -536,7 +536,7 @@
     if (CGLGetCurrentContext() != m_contextObj)
         if (CGLSetCurrentContext(m_contextObj) == kCGLNoError)
             return true;
-#elif PLATFORM(LINUX)
+#elif PLATFORM(LINUX) || PLATFORM(FREEBSD)
     if (m_glXGetCurrentContext() != m_contextObj)
         if (m_glXMakeCurrent(m_display, m_pbuffer, m_contextObj))
             return true;
Index: tools/gyp/pylib/gyp/generator/make.py
===================================================================
